Bug 1644215 (CVE-2018-18585) - CVE-2018-18585 libmspack: chmd_read_headers() fails to reject filenames containing NULL bytes
Summary: CVE-2018-18585 libmspack: chmd_read_headers() fails to reject filenames conta...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18585
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1644222 1644218 1644219 1644220 1644221 1648385
Blocks: 1644217
TreeView+ depends on / blocked
 
Reported: 2018-10-30 09:25 UTC by Andrej Nemec
Modified: 2019-09-29 15:01 UTC (History)
6 users (show)

Fixed In Version: libmspack 0.8, cabextract 1.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:19:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2049 None None None 2019-08-06 12:07:33 UTC

Description Andrej Nemec 2018-10-30 09:25:45 UTC
chmd_read_headers in mspack/chmd.c in libmspack before 0.8alpha accepts a filename that has '\0' as its first or second character (such as the "/\0" name).

Upstream patch:

https://github.com/kyz/libmspack/commit/8759da8db6ec9e866cb8eb143313f397f925bb4f

References:

https://www.openwall.com/lists/oss-security/2018/10/22/1

Comment 1 Andrej Nemec 2018-10-30 09:29:54 UTC
Created cabextract tracking bugs for this issue:

Affects: epel-all [bug 1644222]
Affects: fedora-all [bug 1644221]


Created libmspack tracking bugs for this issue:

Affects: epel-all [bug 1644219]
Affects: fedora-all [bug 1644218]

Comment 4 Stefan Cornelius 2018-11-09 15:14:02 UTC
Statement:

This issue affects the versions of libmspack as shipped with Red Hat Enterprise Linux 7.

Comment 5 errata-xmlrpc 2019-08-06 12:07:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2049 https://access.redhat.com/errata/RHSA-2019:2049

Comment 6 Product Security DevOps Team 2019-08-06 19:19:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-18585


Note You need to log in before you can comment on or make changes to this bug.